
<!Doctype html>
<html>

<head>
    
<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  
       <!-- for ajax cdn  -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"> </script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"> </script>  

<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>




</head>

<body>


    <!-- signup page html code start -->

    <div class="container-fluid my-0 py-5 bg-info">
            <div class="d-flex flex-row justify-content-center ">

                <div class="col-8">

                 <?php  echo $this->Html->link('Add State',['controller'=>'Crud','action'=>'add_state'],['class'=>'btn btn-warning my-4']);
                        // echo $this->Html->link('View States',['controller'=>'Crud','action'=>'states'],['class'=>'btn btn-primary my-4 ml-3']);
                    ?>           
                <table>
                        <tr >
                            <th>S No</th>
                            <th>State</th>
                            <th>Action</th>
                        </tr>

                        <tbody >
                            <?php

                            // pr($sts);
                            $i = 0;
                            foreach($sts as $d){

                                $st = $d['state']['name'];
                                $stid = $d['state']['id'];

                                echo "<tr class='bg-light'>";
                                echo "<td class='px-5'>$i</td>";
                                echo "<td>$st</td>";
                                echo "<td>";
                                    echo $this->Html->link('Edit',['controller'=>'Crud','action'=>'add_state',base64_encode($stid)],['class'=>'btn btn-primary ml-3 mr-0']);
                               
                                    echo $this->Html->link('Delete',['controller'=>'Crud','action'=>'del_state'],['class'=>'btn btn-danger ml-3 mr-0','confirm'=>['are you sure you want to delete']]);
                                echo "</td>";
                                echo "</tr>";


                                $i += 1;
                            }




                                ?>
                        </tbody>
                </table>
                    

                </div>



            </div>

          </div>

        </div>



<script>

$(document).ready(function () {

    $('#myTable').DataTable();
        
        
});
       



</script>

<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.css">
<script type="text/javascript" charset="utf8"src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.js"></script>

      </body>
    <html>
    

